Valorant API Unofficial docs
API Reference MatchDetails
GET

Match Details

Get the details of a match after it ends

Internal name MatchDetails_FetchMatchDetails Server PD · shard Auth Bearer + Entitlements
GET https://pd.{shard}.a.pvp.net/match-details/v1/matches/{matchID}
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

matchID string · uuid required

Match ID

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

matchInfo object
Show nested attributes Hide nested attributes 22
matchId string · uuid

Match ID

mapId string

Map ID

gamePodId string
gameLoopZone string
gameServerAddress string
gameVersion string
gameLengthMillis number nullable
gameStartMillis number
provisioningFlowID enum
"Matchmaking""CustomGame"
isCompleted boolean
customGameName string
forcePostProcessing boolean
queueID string

Queue ID

gameMode string

Game Mode

isRanked boolean
isMatchSampled boolean
seasonId string · uuid

Season ID

completionState string

Known values: `Surrendered`, `Completed`, `VoteDraw`, empty string

platformType literal
premierMatchInfo object
partyRRPenalties record<string, number> optional
shouldMatchDisablePenalties boolean
players array[object]
Show nested attributes Hide nested attributes 19
subject string · uuid

Player UUID

gameName string
tagLine string
platformInfo object
Show nested attributes Hide nested attributes 4
platformType literal
platformOS literal
platformOSVersion string
platformChipset literal
teamId enum | string · uuid
partyId string · uuid

Party ID

characterId string · uuid

Character ID

stats object nullable
Show nested attributes Hide nested attributes 7
score number
roundsPlayed number
kills number
deaths number
assists number
playtimeMillis number
abilityCasts object nullable optional
Show nested attributes Hide nested attributes 4
grenadeCasts number
ability1Casts number
ability2Casts number
ultimateCasts number
roundDamage array[object] nullable
Show nested attributes Hide nested attributes 3
round number
receiver string · uuid

Player UUID

damage number
competitiveTier number
isObserver boolean
playerCard string · uuid

Card ID

playerTitle string · uuid

Title ID

preferredLevelBorder string · uuid | literal optional

Preferred Level Border ID

accountLevel number
sessionPlaytimeMinutes number nullable optional
xpModifications array[object] optional
Show nested attributes Hide nested attributes 2
Value number

XP multiplier

ID string

XP Modification ID

behaviorFactors object optional
Show nested attributes Hide nested attributes 8
afkRounds number
collisions number optional

Float value of unknown significance. Possibly used to quantify how much the player was in the way of their teammates?

commsRatingRecovery number
damageParticipationOutgoing number
friendlyFireIncoming number optional
friendlyFireOutgoing number optional
mouseMovement number optional
stayedInSpawnRounds number optional
newPlayerExperienceDetails object optional
Show nested attributes Hide nested attributes 8
basicMovement object
Show nested attributes Hide nested attributes 2
idleTimeMillis literal
objectiveCompleteTimeMillis literal
basicGunSkill object
Show nested attributes Hide nested attributes 2
idleTimeMillis literal
objectiveCompleteTimeMillis literal
adaptiveBots object
Show nested attributes Hide nested attributes 5
adaptiveBotAverageDurationMillisAllAttempts literal
adaptiveBotAverageDurationMillisFirstAttempt literal
killDetailsFirstAttempt null
idleTimeMillis literal
objectiveCompleteTimeMillis literal
ability object
Show nested attributes Hide nested attributes 2
idleTimeMillis literal
objectiveCompleteTimeMillis literal
bombPlant object
Show nested attributes Hide nested attributes 2
idleTimeMillis literal
objectiveCompleteTimeMillis literal
defendBombSite object
Show nested attributes Hide nested attributes 3
success literal
idleTimeMillis literal
objectiveCompleteTimeMillis literal
settingStatus object
Show nested attributes Hide nested attributes 2
isMouseSensitivityDefault boolean
isCrosshairDefault boolean
versionString literal
bots array[any]
coaches array[object]
Show nested attributes Hide nested attributes 2
subject string · uuid

Player UUID

teamId enum
"Blue""Red"
teams array[object] nullable
Show nested attributes Hide nested attributes 5
teamId enum | string · uuid
won boolean
roundsPlayed number
roundsWon number
numPoints number
roundResults array[object] nullable
Show nested attributes Hide nested attributes 17
roundNum number
roundResult enum
"Eliminated""Bomb detonated""Bomb defused""Surrendered""Round timer expired"
roundCeremony enum
"CeremonyDefault""CeremonyTeamAce""CeremonyFlawless""CeremonyCloser""CeremonyClutch""CeremonyThrifty""CeremonyAce"""
winningTeam enum | string · uuid
bombPlanter string · uuid optional

Player UUID

bombDefuser enum | string · uuid optional
plantRoundTime number optional

Time in milliseconds since the start of the round when the bomb was planted. 0 if not planted

plantPlayerLocations array[object] nullable
Show nested attributes Hide nested attributes 3
subject string · uuid

Player UUID

viewRadians number
location object
Show nested attributes Hide nested attributes 2
x number
y number
plantLocation object
Show nested attributes Hide nested attributes 2
x number
y number
plantSite enum
"A""B""C"""
defuseRoundTime number optional

Time in milliseconds since the start of the round when the bomb was defused. 0 if not defused

defusePlayerLocations array[object] nullable
Show nested attributes Hide nested attributes 3
subject string · uuid

Player UUID

viewRadians number
location object
Show nested attributes Hide nested attributes 2
x number
y number
defuseLocation object
Show nested attributes Hide nested attributes 2
x number
y number
playerStats array[object]
Show nested attributes Hide nested attributes 9
subject string · uuid

Player UUID

kills array[object]
Show nested attributes Hide nested attributes 8
gameTime number

Time in milliseconds since the start of the game

roundTime number

Time in milliseconds since the start of the round

killer string · uuid

Player UUID

victim string · uuid

Player UUID

victimLocation object
Show nested attributes Hide nested attributes 2
x number
y number
assistants array[string · uuid]
playerLocations array[object]
finishingDamage object
Show nested attributes Hide nested attributes 3
damageType enum
"Weapon""Bomb""Ability""Fall""Melee""Invalid"""
damageItem string · uuid | enum | literal

Item ID of the weapon used to kill the player. Empty string if the player was killed by the spike, fall damage, or melee.

isSecondaryFireMode boolean
damage array[object]
Show nested attributes Hide nested attributes 5
receiver string · uuid

Player UUID

damage number
legshots number
bodyshots number
headshots number
score number
economy object
Show nested attributes Hide nested attributes 5
loadoutValue number
weapon string · uuid | literal

Item ID

armor string · uuid | literal

Armor ID

remaining number
spent number
ability object
Show nested attributes Hide nested attributes 4
grenadeEffects null
ability1Effects null
ability2Effects null
ultimateEffects null
wasAfk boolean
wasPenalized boolean
stayedInSpawn boolean
roundResultCode enum

Empty string if the timer expired

"Elimination""Detonate""Defuse""Surrendered"""
playerEconomies array[object] nullable
Show nested attributes Hide nested attributes 6
subject string · uuid

Player UUID

loadoutValue number
weapon string · uuid | literal

Item ID

armor string · uuid | literal

Armor ID

remaining number
spent number
playerScores array[object] nullable
Show nested attributes Hide nested attributes 2
subject string · uuid

Player UUID

score number
kills array[object] nullable
Show nested attributes Hide nested attributes 9
gameTime number

Time in milliseconds since the start of the game

roundTime number

Time in milliseconds since the start of the round

killer string · uuid

Player UUID

victim string · uuid

Player UUID

victimLocation object
Show nested attributes Hide nested attributes 2
x number
y number
assistants array[string · uuid]
playerLocations array[object]
Show nested attributes Hide nested attributes 3
subject string · uuid

Player UUID

viewRadians number
location object
Show nested attributes Hide nested attributes 2
x number
y number
finishingDamage object
Show nested attributes Hide nested attributes 3
damageType enum
"Weapon""Bomb""Ability""Fall""Melee""Invalid"""
damageItem string · uuid | enum | literal

Item ID of the weapon used to kill the player. Empty string if the player was killed by the spike, fall damage, or melee.

isSecondaryFireMode boolean
round number